local _, Addon = ...

-- 本地化字符串分配函数
local L = setmetatable({}, {
    __index = function(table, key)
        if key then
            table[key] = tostring(key)
        end
        return tostring(key)
    end,
})

Addon.L = L
local locale = GetLocale()

-- 本地化字符串
if locale == "enUs" then -- 英文
    L["<|cFFFF4500LM|r>Need Update your |cFFFF4500LootMonitor|r to newest one!"] = true
    L["|cFF4169E1Download Link|r https://www.curseforge.com/wow/addons/lootmonitor"] = true
    L["<|cFFFF4500LM|r>Check |cFFFF4500LootMonitor|r Addon State."] = true
    L["<|cFFFF4500LM|r>Not in a Group."] = true
    L["NoAddon"] = true
    L["Quality"] = true
    L["|cFFFFFFFFCommon|r"] = true
    L["|cFF1EFF00Uncommon|r"] = true
    L["|cFF0081FFRare|r"] = true
    L["|cFFC600FFEpic|r"] = true
    L["Output to RW"] = true
    L["Single Disable"] = true
    L["Check ALL"] = true
    L["Show State"] = true
    L["<LM><%s> has Looted <%s>'s Corpse"] = true
    L["<LM>Total %s Items"] = true
    L["Common+ Item(s)"] = true
    L["Uncommon+ Item(s)"] = true
    L["Rare+ Item(s)"] = true
    L["Epic+ Item(s)"] = true
elseif locale == "zhCN" then -- 简体中文
    L["<|cFFFF4500LM|r>Need Update your |cFFFF4500LootMonitor|r to newest one!"] = "<|cFFFF4500LM|r>需要升级你的LootMonitor插件！"
    L["|cFF4169E1Download Link|r https://www.curseforge.com/wow/addons/lootmonitor"] = "|cFF4169E1下载链接|r https://www.curseforge.com/wow/addons/lootmonitor"
    L["<|cFFFF4500LM|r>Check |cFFFF4500LootMonitor|r Addon State."] = "<|cFFFF4500LM|r>检查|cFFFF4500LootMonitor|r插件安装情况。"
    L["<|cFFFF4500LM|r>Not in a Group."] = "<|cFFFF4500LM|r>你不在一个队伍/团队中。"
    L["NoAddon"] = "无插件"
    L["Quality"] = "通报等级"
    L["|cFFFFFFFFCommon|r"] = "|cFFFFFFFF白色物品|r"
    L["|cFF1EFF00Uncommon|r"] = "|cFF1EFF00绿色物品|r"
    L["|cFF0081FFRare|r"] = "|cFF0081FF蓝色物品|r"
    L["|cFFC600FFEpic|r"] = "|cFFC600FF紫色物品|r"
    L["Output to RW"] = "输出到RW"
    L["Single Disable"] = "单人禁用"
    L["Check ALL"] = "检查所有"
    L["Show State"] = "显示状态"
    L["<LM><%s> has Looted <%s>'s Corpse"] = "<LM><%s>开了<%s>的尸体"
    L["<LM>Total %s "] = "<LM>共%s件"
    L["Common+ Item(s)"] = "白色以上物品"
    L["Uncommon+ Item(s)"] = "绿色以上物品"
    L["Rare+ Item(s)"] = "蓝色以上物品"
    L["Epic+ Item(s)"] = "紫色以上物品"
end